#!/bin/ksh
#
# $Header: prepare4acid.sh 12-aug-99.17:09:18 mpoess Exp $
#
# prepare4acid.sh
#
#  Copyright (c) Oracle Corporation 1999. All Rights Reserved.
#
#    NAME
#      prepare4acid.sh 
#
#    DESCRIPTION
#     Prepares the qualification database for the acid tests. 
#
#    NOTES
#
#    MODIFIED   (MM/DD/YY)
#    mpoess      08/12/99 - Creation
#    mpoess      08/12/99 - Creation
#
. $KIT_DIR/env

direxists (){
# $dirobj : directory to check
# $action : action c=create

if [[ ! -a $dirobj ]]
then
  if [[ $action = "c" ]]
  then
    mkdir $dirobj
  else
	  echo $dirobj does not exist - baling out
	  exit 1
	fi
	elif [[ ! -d $dirobj ]]
	then
	  echo $dirobj is not a directory - bailing out ...
	exit 1
fi
}
action=c
for dirobj in /tmp /tmp/answers $QUAL_DB/acid_out; do
  direxists
done

sqlplus tpch/tpch @d_hist
sqlplus tpch/tpch @atrans
