#!/bin/ksh
#############################################################################
# Analyze Phase
#############################################################################

echo START Analyze at `date`
sqlplus / as sysdba<<EOF 
connect tpch/tpch;
set echo on
set timing on
execute dbms_stats.gather_schema_stats('TPCH' , estimate_percent => 1, degree => 256 , granularity => 'GLOBAL', method_opt => 'for all columns size 1' );
connect / as sysdba
execute dbms_stats.gather_system_stats;

exec dbms_auto_task_admin.disable;

EOF

echo END Analyze at `date`

